Subject: Re: linux-next: manual merge of the rcu tree with the pm tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Mon, 26 Feb 2024 17:52:02 +0100

Hi Stephen,

On Monday, February 26, 2024 3:57:45 AM CET Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rcu tree got a conflict in:
> 
>   Documentation/admin-guide/kernel-parameters.txt
> 
> between commit:
> 
>   3fec6e5961b7 ("PM: hibernate: Support to select compression algorithm")
> 
> from the pm tree and commit:
> 
>   600716592a3a ("doc: Add EARLY flag to early-parsed kernel boot parameters")
> 
> from the rcu tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

The conflict resolution looks good to me, thank you!